require("serxoz")
require('serxoz.packer')

-- autoformat
vim.api.nvim_create_augroup("AutoFormat", {})
vim.api.nvim_create_autocmd(
    "BufWritePost",
    {
        pattern = "*.go",
        group = "AutoFormat",
        callback = function()
            vim.cmd("silent !go fmt %")
            vim.cmd("edit")
        end,
    }
)

-- codeium
vim.g.codeium_enabled = false
